Package org.apache.commons.imaging.color

# Class ColorCmyk

java.lang.Object
org.apache.commons.imaging.color.ColorCmyk

public final class ColorCmyk extends Object
Represents a color in the CMYK color space.

Contains the constant values for black, white, red, green, blue, cyan, magenta, and yellow.

Since:
  1.0-alpha1
See Also:
  - https://en.wikipedia.org/wiki/CMYK_color_model

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ColorCmyk`
  `BLACK`
  A constant for color black.
  `static final ColorCmyk`
  `BLUE`
  A constant for color blue.
  `final double`
  `c`
  Cyan.
  `static final ColorCmyk`
  `CYAN`
  A constant for color cyan.
  `static final ColorCmyk`
  `GREEN`
  A constant for color green.
  `final double`
  `k`
  Key.
  `final double`
  `m`
  Magenta.
  `static final ColorCmyk`
  `MAGENTA`
  A constant for color magenta.
  `static final ColorCmyk`
  `RED`
  A constant for color red.
  `static final ColorCmyk`
  `WHITE`
  A constant for color white.
  `final double`
  `y`
  Yellow.
  `static final ColorCmyk`
  `YELLOW`
  A constant for color yellow.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColorCmyk(double c, double m, double y, double k)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CYAN

    public static final ColorCmyk CYAN
    A constant for color cyan. Color components are:

             cyan:    100
             magenta: 0
             yellow:  0
             key:     0

  - ### MAGENTA

    public static final ColorCmyk MAGENTA
    A constant for color magenta. Color components are:

             cyan:    0
             magenta: 100
             yellow:  0
             key:     0

  - ### YELLOW

    public static final ColorCmyk YELLOW
    A constant for color yellow. Color components are:

             cyan:    0
             magenta: 0
             yellow:  100
             key:     0

  - ### BLACK

    public static final ColorCmyk BLACK
    A constant for color black. Color components are:

             cyan:    0
             magenta: 0
             yellow:  0
             key:     100

  - ### WHITE

    public static final ColorCmyk WHITE
    A constant for color white. Color components are:

             cyan:    0
             magenta: 0
             yellow:  0
             key:     0

  - ### RED

    public static final ColorCmyk RED
    A constant for color red. Color components are:

             cyan:    0
             magenta: 100
             yellow:  100
             key:     0

  - ### GREEN

    public static final ColorCmyk GREEN
    A constant for color green. Color components are:

             cyan:    100
             magenta: 0
             yellow:  100
             key:     0

  - ### BLUE

    public static final ColorCmyk BLUE
    A constant for color blue. Color components are:

             cyan:    100
             magenta: 100
             yellow:  0
             key:     0

  - ### c

    public final double c
    Cyan.

  - ### m

    public final double m
    Magenta.

  - ### y

    public final double y
    Yellow.

  - ### k

    public final double k
    Key.

- ## Constructor Details

  - ### ColorCmyk

    public ColorCmyk(double c, double m, double y, double k)
    Constructs a new instance.
    Parameters:
      `c` - cyan.
      `m` - magenta.
      `y` - yellow.
      `k` - key.

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`